import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { ParkingLotAttr } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface ParkingLotAttrCU extends ConditionUtil<ParkingLotAttrCU> {
    ID: FieldUtil<ParkingLotAttrCU>;
    LOT_ID: FieldUtil<ParkingLotAttrCU>;
    ATTR_NAME: FieldUtil<ParkingLotAttrCU>;
    ATTR_VALUE: FieldUtil<ParkingLotAttrCU>;
    CREATE_TIME: FieldUtil<ParkingLotAttrCU>;
    UPDATE_TIME: FieldUtil<ParkingLotAttrCU>;
}
declare class ParkingLotAttrMU extends TableUtilImpl<ParkingLotAttrCU, ParkingLotAttr> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ParkingLotAttrCU;
    static get ID(): FieldUtil<ParkingLotAttrCU>;
    static get LOT_ID(): FieldUtil<ParkingLotAttrCU>;
    static get ATTR_NAME(): FieldUtil<ParkingLotAttrCU>;
    static get ATTR_VALUE(): FieldUtil<ParkingLotAttrCU>;
    static get CREATE_TIME(): FieldUtil<ParkingLotAttrCU>;
    static get UPDATE_TIME(): FieldUtil<ParkingLotAttrCU>;
    get ID(): FieldUtil<ParkingLotAttrCU>;
    get LOT_ID(): FieldUtil<ParkingLotAttrCU>;
    get ATTR_NAME(): FieldUtil<ParkingLotAttrCU>;
    get ATTR_VALUE(): FieldUtil<ParkingLotAttrCU>;
    get CREATE_TIME(): FieldUtil<ParkingLotAttrCU>;
    get UPDATE_TIME(): FieldUtil<ParkingLotAttrCU>;
}
export { ParkingLotAttrMU, ParkingLotAttrCU };
